defvar (year, date-32);
defvar (month, date-16);
defvar (day, date);
hex parallel date:48[$];
logical parallel stocks[$], sold[$], bought[$], doo[$];
index parallel xx[$], yy[$], zz[$], qq[$];
int parallel year:16[$] month:16[$] day:16[$];
int parallel yearsold:16[$] monthsold:16[$] daysold:16[$];
int parallel tempyear:16[$] tempmonth:16[$] tempday:16[$];
int parallel ddyear:16[$], ddmonth:16[$], ddday:16[$];
real parallel profit[$] "%5.2f", ddpp[$] "%10.2f", days[$] "%6.2f";
real parallel dd[$], hund[$];
char parallel stock:32[$], type:8[$], transactions:16[$];
real parallel price[$] "%5.2f", soldprice[$] "%5.2f", temprice[$];
real parallel num[$] "%5.2f", numsold[$] "%5.2f", numtemp[$];
real parallel panrtn[$], pprofits[$], pddpps[$];

int scalar currentyear, currentmonth, currentday;
real scalar currentnum, currentprice  "%10.2f", number;
real scalar value "%10.2f", total "%10.2f" ;
real scalar anrtn "%7.2f", profits "%10.2f", ddpps  "%10.2f";
char scalar stck:32;
char scalar  stype:8; /* debuf*/
card scalar unyear;
define (PURCH, 26224); /* p, entry is purchase date */
define (FEE, 26214);   /* f, entry is is fee */
define (REIN, 26226);  /* r, entry is reinvestment date */
define (CDATE, 26212);  /* d, entry is the current date */
define (C_BOUGHT, 25204); /* bt, bought transaction  */
define (C_SOLD, 29540);   /* sd, sold transaction */
deflog (TRUE, 1);
char scalar date_n:64;
hex parallel hport:64[$];

